For the complete documentation index, see llms.txt. This page is also available as Markdown.

Schema set

OpenAPI V1

Retrieve taxonomy set of schemas based on the entrypoint.

get

Retrieve the set of taxnomy schema based on the reporting entrypoint that is provided.

Authorizations
AuthorizationstringRequired

Please enter token

Path parameters
idstringRequired
Header parameters
x-api-versionstringRequired
ApplicationNameanyOptional

Name of the application to integrates with API’s to Semansys.Next.

PartnerNameanyOptional

Contract owner (organization) name that have embedded the API’s.

PartnerIDanyOptional

Business Identification Number (BIN) of the contract owner (organization) to embeds the API’s.

CustomerNameanyOptional

Customer (organization) name (ie. accounting firm, intermediary, ....).

CustomerIDanyOptional

Business Identification Number (BIN) of the customer.

ClientNameanyOptional

Client (organization) name of the customer of the accounting firm, intermediary...

ClientIDanyOptional

Business Identification Number (BIN) of the client.

Responses
200

OK

application/json
entrypointstring · nullableOptional
get/taxonomy/entrypoints/{id}/schema-set
GET /taxonomy/entrypoints/{id}/schema-set HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
x-api-version: text
Accept: */*
{
  "entrypoint": "text",
  "taxonomySchemas": [
    {
      "uri": "text",
      "prefix": "text",
      "namespace": "text",
      "contentBase64": "text",
      "isPublic": true
    }
  ]
}

Was this helpful?